hadoop-common-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Doug Cutting (JIRA)" <j...@apache.org>
Subject [jira] Updated: (HADOOP-4605) should run old version of unit tests to check back-compatibility
Date Fri, 07 Nov 2008 18:02:54 GMT

     [ https://issues.apache.org/jira/browse/HADOOP-4605?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Doug Cutting updated HADOOP-4605:
---------------------------------

    Component/s: test

> This might work once we're serious about back-compatibility (1.0?). 

I think it's a pre-requisite to becoming serious about back-compatibility: we cannot claim
that a release is back-compatible until we've tested that code from prior compatible versions
still runs against it.

Note that this permits us to aggressively update tests as APIs evolve: the trunk tests of
public APIs should only test the trunk versions of the APIs and should use no deprecated APIs.
 Then when we test against an older version of the tests, we'd test against just that version,
enforcing the rule that folks should make sure their code compiles without deprecation warnings
against version X before upgrading to version X+1.

> should run old version of unit tests to check back-compatibility
> ----------------------------------------------------------------
>
>                 Key: HADOOP-4605
>                 URL: https://issues.apache.org/jira/browse/HADOOP-4605
>             Project: Hadoop Core
>          Issue Type: Improvement
>          Components: test
>            Reporter: Doug Cutting
>
> We should test back-compatibility by running unit tests from a prior release.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message